PETSc version 3.15.5
Fix/Edit manual page

# PetscUnit

The seven fundamental SI units

### Synopsis

    typedef enum {PETSC_UNIT_LENGTH, PETSC_UNIT_MASS, PETSC_UNIT_TIME, PETSC_UNIT_CURRENT, PETSC_UNIT_TEMPERATURE, PETSC_UNIT_AMOUNT, PETSC_UNIT_LUMINOSITY, NUM_PETSC_UNITS} PetscUnit;

### See Also

DMPlexGetScale(), DMPlexSetScale()

### Level

beginner

### Location

src/dm/../../include/petscdmtypes.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages